 if (Drupal.settings.commerce_card.same_page){  
  var name = jQuery('.field-name-commerce-customer-address .name-block').first().text();
  
  if (isEmpty(name)){
    name = Drupal.settings.commerce_card.name_placeholder;  
  }
      
  var form = 'form#commerce-checkout-form-review';
 }else{
  
  var name = jQuery('.field-name-commerce-customer-address .name-block').first().text();
  
  if (isEmpty(name)){
    name = Drupal.settings.commerce_card.name_placeholder;  
  }
  
  var form = 'form#commerce-checkout-form-review .commerce_payment'; 
 }       
 
 if (Drupal.settings.commerce_card.owner){                            
   var owner_field = '*[id^="edit-commerce-payment-payment-details-credit-card-owner"]';       
 }else{
   if (Drupal.settings.commerce_card.name_field){
     var owner_field = 'input.name-block';
   }else{
     var owner_field = '.first-name, .last-name';
   }
 }
 
 function isEmpty(str) {
    return (!str || 0 === str.length);
  } 

 //console.log(owner_field);
 
 var card = new Card({
    form: form,     
    container: '.commerce_payment', 
    formSelectors: {
        numberInput:  '*[id^="edit-commerce-payment-payment-details-credit-card-number"]',         
        expiryInput:  '*[id^="edit-commerce-payment-payment-details-credit-card-expiry"]',
        cvcInput:     '*[id^="edit-commerce-payment-payment-details-credit-card-code"]', 
        nameInput:    owner_field,
    },
    width: Drupal.settings.commerce_card.width,
    formatting: true,    
    messages: {
        validDate: 'valid\ndate', // optional - default 'valid\thru'
        monthYear: 'mm/yy', // optional - default 'month/year'
    },
        placeholders: {
        number: '•••• •••• •••• ••••',
        name: name,
        expiry: '••/••',
        cvc: '•••'
    },

    // if true, will log helpful messages for setting up Card
    debug: false,
});
   

 
